#pragma bank 255

// Scene: SlighHousef2

#include "gbs_types.h"
#include "data/bg_slighhousef2.h"
#include "data/scene_11_collisions.h"
#include "data/palette_6.h"
#include "data/palette_13.h"
#include "data/sprite_charanimatedsprite.h"
#include "data/scene_11_triggers.h"
#include "data/scene_11_init.h"

BANKREF(scene_11)

const struct scene_t scene_11 = {
    .width = 20,
    .height = 18,
    .type = SCENE_TYPE_TOPDOWN,
    .background = TO_FAR_PTR_T(bg_slighhousef2),
    .collisions = TO_FAR_PTR_T(scene_11_collisions),
    .parallax_rows = {
        PARALLAX_STEP(0,0,0)
    },
    .palette = TO_FAR_PTR_T(palette_6),
    .sprite_palette = TO_FAR_PTR_T(palette_13),
    .reserve_tiles = 0,
    .player_sprite = TO_FAR_PTR_T(sprite_charanimatedsprite),
    .n_actors = 0,
    .n_triggers = 1,
    .n_sprites = 0,
    .n_projectiles = 0,
    .triggers = TO_FAR_PTR_T(scene_11_triggers),
    .script_init = TO_FAR_PTR_T(scene_11_init)
};
